# comment out when not pre-release
#define prel	beta1

%define rel	8

Name:		wacomtablet
Version:	3.2.0
Release:	%mkrel %{rel}
Summary:	KCM module to configure Wacom linux Drivers
License:	GPLv2
Group:		Graphical desktop/KDE
URL:		https://userbase.kde.org/Wacomtablet
Source0:	https://download.kde.org/stable/wacomtablet/%{version}/%{name}-%{version}.tar.xz
Patch0:		wacomtablet-3.1.0-fix-desktop-file.patch
Patch1:		0001-wacomtablet-Fix-build-with-Qt-5.15.patch
Patch2:		0002-wacomtablet-Fix-Qt-5.15-obsoletions.patch

BuildRequires:	gettext
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5GlobalAccel)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5Notifications)
BuildRequires:	cmake(KF5Plasma)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5X11Extras)

BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xorg-wacom)
BuildRequires:	pkgconfig(xi)

Provides:	kcm_tablet = %{version}-%{release}
Requires:	%{name}-kcmodule
Requires:	x11-driver-input-wacom

%description
This module implements a GUI for the Wacom Linux Drivers and extends it
with profile support to handle different button/pen layouts per profile.

%files
%doc AUTHORS COPYING README.md
%license COPYING

#-----------------------------------------------------------------------

%package -n plasma-applet-%{name}
Summary:	Plasma applet for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}
Requires:	plasma-dataengine-%{name} = %{version}
Provides:	plasma-applet

%description -n plasma-applet-%{name}
This package provides a plasma applet for %{name}.

%files -n plasma-applet-%{name} -f plasma_applet_org.kde.plasma.wacomtablet.lang
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.%{name}/
%{_kf5_datadir}/plasma/services/%{name}.operations
%{_datadir}/kservices5/plasma-applet-org.kde.plasma.wacomtablet.desktop

#-----------------------------------------------------------------------

%package -n plasma-dataengine-%{name}
Summary:	Plasma dataengine for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description -n plasma-dataengine-%{name}
This package provides the engine of the %{name} plasma applet.

%files -n plasma-dataengine-%{name}
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_%{name}.so
%{_kf5_services}/plasma-dataengine-%{name}.desktop

#-----------------------------------------------------------------------

%package tabletfinder
Summary:	Tabletfinder tool for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kcmodule = %{version}

%description tabletfinder
This package provides a tabletfinder tool for %{name}.

%files tabletfinder
%{_kf5_bindir}/kde_wacom_tabletfinder
%{_kf5_applicationdir}/kde_wacom_tabletfinder.desktop

#-----------------------------------------------------------------------

%package kcmodule
Summary:	Kcmodule for %{name}
Group:		Graphical desktop/KDE
Requires:	%{name}-kded = %{version}

%description kcmodule
This package provides the necessary files for kcmmodule.

%files kcmodule -f %{name}.lang
%doc AUTHORS COPYING README.md
%license COPYING
%{_kf5_sysconfdir}/xdg/%{name}.categories
%{_qt5_plugindir}/kcm_%{name}.so
%{_kf5_docdir}/HTML/*/kcontrol/%{name}/
%{_kf5_services}/kcm_%{name}.desktop
%{_kf5_datadir}/%{name}/
%{_kf5_metainfodir}/org.kde.plasma.%{name}.appdata.xml
%{_kf5_metainfodir}/org.kde.%{name}.metainfo.xml

#-----------------------------------------------------------------------

%package kded
Summary:	Kded module for %{name}
Group:		Graphical desktop/KDE

%description	kded
This package provides the kded module and dbus files for %{name}.

%files kded
%{_kf5_plugindir}/kded/wacomtablet.so
%{_kf5_knotificationsdir}/%{name}.notifyrc
%{_kf5_datadir}/dbus-1/interfaces/org.kde.Wacom*.xml

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name}
%find_lang plasma_applet_org.kde.plasma.wacomtablet


%changelog
* Tue Aug 02 2022 tv <tv> 3.2.0-8.mga9
+ Revision: 1874345
- Fix filelist

* Tue Feb 01 2022 neoclust <neoclust> 3.2.0-7.mga9
+ Revision: 1770869
- Rebuild against new libwacom
+ tv <tv>
- Rebuild for new libwacom

* Thu Dec 17 2020 umeabot <umeabot> 3.2.0-5.mga8
+ Revision: 1660294
- Rebuild for new Qt5

* Sun Jul 19 2020 daviddavid <daviddavid> 3.2.0-4.mga8
+ Revision: 1607204
- add upstream patches to fix build with Qt 5.15

* Thu May 28 2020 daviddavid <daviddavid> 3.2.0-3.mga8
+ Revision: 1588532
- switch appdata files to kf5_metainfo dir

* Sat Feb 15 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1527672
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Jul 22 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1423458
- new version: 3.2.0

* Tue Apr 02 2019 daviddavid <daviddavid> 3.1.1-2.mga7
+ Revision: 1385254
- add patch to fix build without XLIB
+ umeabot <umeabot>
- Qt5 Rebuild

* Fri Dec 21 2018 daviddavid <daviddavid> 3.1.1-1.mga7
+ Revision: 1344233
- new version: 3.1.1

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1301650
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1239156
- new version: 3.1.0

* Sun Apr 08 2018 daviddavid <daviddavid> 3.0.0-1.mga7
+ Revision: 1216127
- new version: 3.0.0 (final)
- rediff fix-desktop-file patch
+ animtim <animtim>
- update to a working snapshot

* Fri Sep 16 2016 daviddavid <daviddavid> 3.0.0-0.beta1.3.mga6
+ Revision: 1053505
- update file list adding an appdata file

* Sat Apr 30 2016 daviddavid <daviddavid> 3.0.0-0.beta1.2.mga6
+ Revision: 1008076
- new version: 3.0.0-beta1
- port to Qt5/kf5
- update URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-4.mga5
+ Revision: 743000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-3.mga5
+ Revision: 690260
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 533786
- Mageia 4 Mass Rebuild

* Fri Sep 06 2013 dams <dams> 2.0-1.mga4
+ Revision: 475421
- new version 2.0

* Mon Jan 14 2013 umeabot <umeabot> 1.3.6-2.mga3
+ Revision: 385589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 20 2012 mikala <mikala> 1.3.6-1.mga2
+ Revision: 198731
- Update tarball to 1.3.6
- Add requires for the wacom driver
- Fix some rpmlint warnings

* Wed Nov 30 2011 mikala <mikala> 1.3.5-1.mga2
+ Revision: 174615
- Update tarball to 1.3.5
- remove %%defattr() & %%clean section
- fix use of kde macros

* Sun Jun 12 2011 mikala <mikala> 1.3.2-0.mga2
+ Revision: 104516
- Update tarball to 1.3.2
- Fix file list.

* Tue May 03 2011 mikala <mikala> 1.3-0.mga1
+ Revision: 94442
- imported package wacomtablet

